Package org.eclipse.rdf4j.federated.evaluation.iterator

## Class FilteringInsertBindingsIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<E,​X>
    - - org.eclipse.rdf4j.common.iteration.FilterIteration<BindingSet,​QueryEvaluationException>
      - - org.eclipse.rdf4j.federated.evaluation.iterator.FilteringIteration
        - - org.eclipse.rdf4j.federated.evaluation.iterator.FilteringInsertBindingsIteration

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`

      public class FilteringInsertBindingsIteration
      extends FilteringIteration

  Filters iteration according to specified filterExpr and inserts original bindings into filtered results.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BindingSet` | `bindings` |

    - ### Fields inherited from class org.eclipse.rdf4j.federated.evaluation.iterator.FilteringIteration

      `filterExpr, strategy`

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilteringInsertBindingsIteration​(FilterValueExpr filterExpr, BindingSet bindings, CloseableIteration<BindingSet,​QueryEvaluationException> iter, FederationEvalStrategy strategy)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BindingSet` | `next()` | Returns the next element from the wrapped Iteration.

    - ### Methods inherited from class org.eclipse.rdf4j.federated.evaluation.iterator.FilteringIteration

      `accept`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.FilterIteration

      `handleClose, hasNext`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Field Detail

    - #### bindings

          protected final BindingSet bindings

  - ### Constructor Detail

    - #### FilteringInsertBindingsIteration

          public FilteringInsertBindingsIteration​(FilterValueExpr filterExpr,
                                                  BindingSet bindings,
                                                  CloseableIteration<BindingSet,​QueryEvaluationException> iter,
                                                  FederationEvalStrategy strategy)
                                           throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`

  - ### Method Detail

    - #### next

          public BindingSet next()
                          throws QueryEvaluationException

      Description copied from class: `IterationWrapper`
      Returns the next element from the wrapped Iteration.
      Specified by:
        `next` in interface `Iteration<BindingSet,​QueryEvaluationException>`
      Overrides:
        `next` in class `FilterIteration<BindingSet,​QueryEvaluationException>`
      Returns:
        the next element in the iteration.
      Throws:
        `QueryEvaluationException`